package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class DataCatelogSubscribe {
    private Long id;

    private Long dataCatelogId;

    private Long applier;

    private Long applierDept;

    private Date applyTime;

    private String auditBy;

    private Date auditAt;

    private String auditResult;

    private String remark;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDataCatelogId() {
        return dataCatelogId;
    }

    public void setDataCatelogId(Long dataCatelogId) {
        this.dataCatelogId = dataCatelogId;
    }

    public Long getApplier() {
        return applier;
    }

    public void setApplier(Long applier) {
        this.applier = applier;
    }

    public Long getApplierDept() {
        return applierDept;
    }

    public void setApplierDept(Long applierDept) {
        this.applierDept = applierDept;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy == null ? null : auditBy.trim();
    }

    public Date getAuditAt() {
        return auditAt;
    }

    public void setAuditAt(Date auditAt) {
        this.auditAt = auditAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult == null ? null : auditResult.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}